Package twisted :: Package web :: Module domhelpers :: Class RawText |
[frames | no frames]

## Class RawText

    object --+
             |
          Node --+
                 |
     CharacterData --+
                     |
                  Text --+
                         |
                        RawText

This is an evil and horrible speed hack. Basically, if you have a big chunk of XML that you want to insert into the DOM, but you don't want to incur the cost of parsing it, you can construct one of these and insert it into the DOM. This will most certainly only work with microdom as the API for converting nodes to xml is different in every DOM implementation.

This could be improved by making this class a Lazy parser, so if you inserted this into the DOM and then later actually tried to mutate this node, it would be parsed then.

Method Summary
| `writexml(self, writer, indent, addindent, newl, strip, nsprefixes, namespace)`
Inherited from Text
| ``__init__`(self, data, parentNode, raw)`
| ``__repr__`(self)`
| ``cloneNode`(self, deep, parent)`
Inherited from CharacterData
| ``isEqualToCharacterData`(self, n)`
Inherited from Node
| ``__hash__`(self)`
| ``appendChild`(self, child)`
| ``firstChild`(self)`
| ``hasChildNodes`(self)`
| ``insertBefore`(self, new, ref)`
| ``isEqualToNode`(self, n)`
| ``lastChild`(self)`
| ``removeChild`(self, child)`
| ``replaceChild`(self, newChild, oldChild)`
| ``toprettyxml`(self, indent, addindent, newl, strip)`
| ``toxml`(self, indent, addindent, newl, strip, nsprefixes, namespace)`
| ``writeprettyxml`(self, stream, indent, addindent, newl, strip)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
Inherited from Node
`str` | `nodeName` = `'Node'`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:44 2003 | http://epydoc.sf.net